org.richfaces.fragment.common

## Class Locations

- java.lang.Object
- - org.richfaces.fragment.common.Locations

- All Implemented Interfaces:
    Iterable<org.openqa.selenium.Point>

      public class Locations
      extends Object
      implements Iterable<org.openqa.selenium.Point>

  Helper class for storing locations of borders.
  Author:
    Jiri Stefek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locations(org.openqa.selenium.Point topLeft, org.openqa.selenium.Point topRight, org.openqa.selenium.Point bottomLeft, org.openqa.selenium.Point bottomRight)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `org.openqa.selenium.Point` | `getBottomLeft()`
    `org.openqa.selenium.Point` | `getBottomRight()`
    `int` | `getHeight()`
    `org.openqa.selenium.Point` | `getTopLeft()`
    `org.openqa.selenium.Point` | `getTopRight()`
    `int` | `getWidth()`
    `int` | `hashCode()`
    `Iterator<org.openqa.selenium.Point>` | `iterator()`
    `Locations` | `moveAllBy(int x, int y)` Returns new instance with moved borders.
    `Locations` | `resizeFromBottomRight(int byXPixels, int byYPixels)` Returns new instance with resized borders form bottom right corner.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### Locations

          public Locations(org.openqa.selenium.Point topLeft,
                           org.openqa.selenium.Point topRight,
                           org.openqa.selenium.Point bottomLeft,
                           org.openqa.selenium.Point bottomRight)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getBottomLeft

          public org.openqa.selenium.Point getBottomLeft()

    - #### getBottomRight

          public org.openqa.selenium.Point getBottomRight()

    - #### getHeight

          public int getHeight()

    - #### getTopLeft

          public org.openqa.selenium.Point getTopLeft()

    - #### getTopRight

          public org.openqa.selenium.Point getTopRight()

    - #### getWidth

          public int getWidth()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### iterator

          public Iterator<org.openqa.selenium.Point> iterator()

      Specified by:
        `iterator` in interface `Iterable<org.openqa.selenium.Point>`

    - #### moveAllBy

          public Locations moveAllBy(int x,
                                     int y)

      Returns new instance with moved borders.

    - #### resizeFromBottomRight

          public Locations resizeFromBottomRight(int byXPixels,
                                                 int byYPixels)

      Returns new instance with resized borders form bottom right corner. The top left point will stay unchanged, other borders will change.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.